", "site_id": "site_278075276488921835", "created_at": "2021-03-11T25:40:09Z", "updated_at": "2021-03-11T25:40:09Z"}}, "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "snippet": {"$ref": "#/components/schemas/Snippet"}}}, "RetrieveSubscriptionRequest": {"type": "object", "title": "RetrieveSubscriptionRequest", "description": "Defines parameters in a\n[RetrieveSubscription](https://developer.squareup.com/reference/square_2021-08-18/subscriptions-api/retrieve-subscription) endpoint request.", "x-release-status": "PUBLIC"}, "RetrieveSubscriptionResponse": {"type": "object", "title": "RetrieveSubscriptionResponse", "description": "Defines the fields that are included in the response from the\n[RetrieveSubscription](https://developer.squareup.com/reference/square_2021-08-18/subscriptions-api/retrieve-subscription) endpoint.", "example": {"subscription": {"id": "8151fc89-da15-4eb9-a685-1a70883cebfc", "status": "ACTIVE", "plan_id": "6JHXF3B2CW3YKHDV4XEM674H", "timezone": "America/Los_Angeles", "created_at": "2020-08-03T21:53:10Z", "start_date": "2020-05-11", "customer_id": "CHFGVKYY8RSV93M5KCYTG4PN0G", "invoice_ids": ["grebK0Q_l8H4fqoMMVvt-Q", "rcX_i3sNmHTGKhI4W2mceA"], "location_id": "S8GWD5R9QB376", "paid_until_date": "2020-06-11", "charged_through_date": "2020-06-11", "price_override_money": {"amount": 1000, "currency": "USD"}}}, "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "subscription": {"$ref": "#/components/schemas/Subscription"}}}, "RetrieveTeamMemberBookingProfileRequest": {"type": "object", "title": "RetrieveTeamMemberBookingProfileRequest", "x-is-beta": true, "description": "", "x-release-status": "BETA"}, "RetrieveTeamMemberBookingProfileResponse": {"type": "object", "title": "RetrieveTeamMemberBookingProfileResponse", "example": {"errors": [], "team_member_booking_profile": {"is_bookable": true, "display_name": "Sandbox Staff", "team_member_id": "TMaJcbiRqPIGZuS9"}}, "x-is-beta": true, "description": "", "x-release-status": "BETA", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "team_member_booking_profile": {"$ref": "#/components/schemas/TeamMemberBookingProfile"}}}, "RetrieveTeamMemberRequest": {"type": "object", "title": "RetrieveTeamMemberRequest", "description": "Represents a retrieve request for a `TeamMember` object.", "example": {"request_body": {}}, "x-release-status": "PUBLIC"}, "RetrieveTeamMemberResponse": {"type": "object", "title": "RetrieveTeamMemberResponse", "description": "Represents a response from a retrieve request containing a `TeamMember` object or error messages.", "example": {"team_member": {"id": "1yJlHapkseYnNPETIU1B", "status": "ACTIVE", "is_owner": false, "created_at": "2020-06-11T22:55:45.867Z", "given_name": "Joe", "updated_at": "2020-06-11T22:55:45.867Z", "family_name": "Doe", "phone_number": "+14159283333", "reference_id": "reference_id_1", "email_address": "joe_doe@gmail.com", "assigned_locations": {"location_ids": ["GA2Y9HSJ8KRYT", "YSGH2WBKG94QZ"], "assignment_type": "EXPLICIT_LOCATIONS"}}}, "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "team_member": {"$ref": "#/components/schemas/TeamMember"}}}, "RetrieveTransactionRequest": {"type": "object", "title": "RetrieveTransactionRequest", "example": {}, "description": "", "x-is-deprecated": true, "x-release-status": "DEPRECATED", "x-sq-sdk-sample-code": {"php": "/sdk_samples/RetrieveTransaction/RetrieveTransactionRequest.php", "java": "/sdk_samples/RetrieveTransaction/RetrieveTransactionRequest.java", "ruby": "/sdk_samples/RetrieveTransaction/RetrieveTransactionRequest.ruby", "csharp": "/sdk_samples/RetrieveTransaction/RetrieveTransactionRequest.csharp", "python": "/sdk_samples/RetrieveTransaction/RetrieveTransactionRequest.python", "javascript": "/sdk_samples/RetrieveTransaction/RetrieveTransactionRequest.javascript"}}, "RetrieveTransactionResponse": {"type": "object", "title": "RetrieveTransactionResponse", "description": "Defines the fields that are included in the response body of\na request to the [RetrieveTransaction](https://developer.squareup.com/reference/square_2021-08-18/transactions-api/retrieve-transaction) endpoint.\n\nOne of `errors` or `transaction` is present in a given response (never both).", "example": {"transaction": {"id": "KnL67ZIwXCPtzOrqj0HrkxMF", "product": "EXTERNAL_API", "tenders": [{"id": "MtZRYYdDrYNQbOvV7nbuBvMF", "note": "some optional note", "type": "CARD", "created_at": "2016-03-10T22:57:56Z", "location_id": "18YC4JDH91E1H", "amount_money": {"amount": 5000, "currency": "USD"}, "card_details": {"card": {"last_4": "1111", "card_brand": "VISA"}, "status": "CAPTURED", "entry_method": "KEYED"}, "transaction_id": "KnL67ZIwXCPtzOrqj0HrkxMF", "processing_fee_money": {"amount": 138, "currency": "USD"}, "additional_recipients": [{"description": "Application fees", "location_id": "057P5VYJ4A5X1", "amount_money": {"amount": 20, "currency": "USD"}}]}], "created_at": "2016-03-10T22:57:56Z", "location_id": "18YC4JDH91E1H", "reference_id": "some optional reference id"}}, "x-is-deprecated": true, "x-release-status": "DEPRECATED", "x-sq-sdk-sample-code": {"php": "/sdk_samples/RetrieveTransaction/RetrieveTransactionResponse.php", "java": "/sdk_samples/RetrieveTransaction/RetrieveTransactionResponse.java", "ruby": "/sdk_samples/RetrieveTransaction/RetrieveTransactionResponse.ruby", "csharp": "/sdk_samples/RetrieveTransaction/RetrieveTransactionResponse.csharp", "python": "/sdk_samples/RetrieveTransaction/RetrieveTransactionResponse.python", "javascript": "/sdk_samples/RetrieveTransaction/RetrieveTransactionResponse.javascript"}, "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "transaction": {"$ref": "#/components/schemas/Transaction"}}}, "RetrieveWageSettingRequest": {"type": "object", "title": "RetrieveWageSettingRequest", "description": "Represents a retrieve request for the wage setting of a team member.", "example": {"request_body": {}}, "x-release-status": "PUBLIC"}, "RetrieveWageSettingResponse": {"type": "object", "title": "RetrieveWageSettingResponse", "description": "Represents a response from a retrieve request containing the specified `WageSetting` object or error messages.", "example": {"wage_setting": {"version": 1, "created_at": "2020-06-11T23:01:21+00:00", "updated_at": "2020-06-11T23:01:21+00:00", "team_member_id": "1yJlHapkseYnNPETIU1B", "job_assignments": [{"pay_type": "SALARY", "job_title": "Manager", "annual_rate": {"amount": 4500000, "currency": "USD"}, "hourly_rate": {"amount": 2164, "currency": "USD"}, "weekly_hours": 40}], "is_overtime_exempt": false}}, "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "wage_setting": {"$ref": "#/components/schemas/WageSetting"}}}, "RevokeTokenRequest": {"type": "object", "title": "RevokeTokenRequest", "example": {"request_body": {"client_id": "CLIENT_ID", "access_token": "ACCESS_TOKEN"}}, "description": "", "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/RevokeToken/RevokeTokenRequest.php", "java": "/sdk_samples/RevokeToken/RevokeTokenRequest.java", "ruby": "/sdk_samples/RevokeToken/RevokeTokenRequest.ruby", "csharp": "/sdk_samples/RevokeToken/RevokeTokenRequest.csharp", "python": "/sdk_samples/RevokeToken/RevokeTokenRequest.python", "javascript": "/sdk_samples/RevokeToken/RevokeTokenRequest.javascript"}, "properties": {"access_token": {"type": "string", "maxLength": 1024, "minLength": 2}, "client_id": {"type": "string", "maxLength": 191}, "merchant_id": {"type": "string"}, "revoke_only_access_token": {"type": "boolean"}}}, "RevokeTokenResponse": {"type": "object", "title": "RevokeTokenResponse", "example": {"success": true}, "description": "", "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/RevokeToken/RevokeTokenResponse.php", "java": "/sdk_samples/RevokeToken/RevokeTokenResponse.java", "ruby": "/sdk_samples/RevokeToken/RevokeTokenResponse.ruby", "csharp": "/sdk_samples/RevokeToken/RevokeTokenResponse.csharp", "python": "/sdk_samples/RevokeToken/RevokeTokenResponse.python", "javascript": "/sdk_samples/RevokeToken/RevokeTokenResponse.javascript"}, "properties": {"success": {"type": "boolean"}}}, "RiskEvaluation": {"type": "object", "title": "RiskEvaluation", "description": "Represents fraud risk information for the associated payment.\n\nWhen you take a payment through Square's Payments API (using the `CreatePayment`\nendpoint), Square evaluates it and assigns a risk level to the payment. Sellers\ncan use this information to determine the course of action (for example,\nprovide the goods/services or refund the payment).", "x-is-beta": true, "x-release-status": "BETA", "properties": {"created_at": {"type": "string", "x-read-only": true}, "risk_level": {"type": "string"}}}, "RiskEvaluationRiskLevel": {"type": "string", "title": "RiskEvaluationRiskLevel", "enum": ["PENDING", "NORMAL", "MODERATE", "HIGH"], "x-is-beta": true, "description": "", "x-enum-elements": [{"name": "PENDING", "description": "Indicates Square is still evaluating the payment."}, {"name": "NORMAL", "description": "Indicates payment risk is within the normal range."}, {"name": "MODERATE", "description": "Indicates elevated risk level associated with the payment."}, {"name": "HIGH", "description": "Indicates significantly elevated risk level with the payment."}], "x-release-status": "BETA"}, "SearchAvailabilityFilter": {"type": "object", "title": "SearchAvailabilityFilter", "description": "A query filter to search for availabilities by.", "x-is-beta": true, "x-release-status": "BETA", "properties": {"booking_id": {"type": "string"}, "location_id": {"type": "string"}, "segment_filters": {"type": "array", "items": {"$ref": "#/components/schemas/SegmentFilter"}}, "start_at_range": {"$ref": "#/components/schemas/TimeRange"}}, "required": ["start_at_range"]}, "SearchAvailabilityQuery": {"type": "object", "title": "SearchAvailabilityQuery", "description": "Query conditions to search for availabilities of bookings.", "x-is-beta": true, "x-release-status": "BETA", "properties": {"filter": {"$ref": "#/components/schemas/SearchAvailabilityFilter"}}, "required": ["filter"]}, "SearchAvailabilityRequest": {"type": "object", "title": "SearchAvailabilityRequest", "example": {"query": {"filter": {"location_id": "LEQHH0YY8B42M", "start_at_range": {"end_at": "2020-11-27T13:00:00Z", "start_at": "2020-11-26T13:00:00Z"}, "segment_filters": [{"service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "team_member_id_filter": {"any": ["TMXUrsBWWcHTt79t", "TMaJcbiRqPIGZuS9"]}}]}}}, "x-is-beta": true, "description": "", "x-release-status": "BETA", "properties": {"query": {"$ref": "#/components/schemas/SearchAvailabilityQuery"}}, "required": ["query"]}, "SearchAvailabilityResponse": {"type": "object", "title": "SearchAvailabilityResponse", "example": {"errors": [], "availabilities": [{"start_at": "2020-11-26T13:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-26T13:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-26T14:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-26T14:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-26T15:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-26T15:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-26T16:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T09:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T09:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T10:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T10:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T11:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T11:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T12:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T12:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T13:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T13:30:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}, {"start_at": "2020-11-27T14:00:00Z", "location_id": "LEQHH0YY8B42M", "appointment_segments": [{"team_member_id": "TMaJcbiRqPIGZuS9", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}]}, "x-is-beta": true, "description": "", "x-release-status": "BETA", "properties": {"availabilities": {"type": "array", "items": {"$ref": "#/components/schemas/Availability"}}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "SearchCatalogItemsRequest": {"type": "object", "title": "SearchCatalogItemsRequest", "description": "Defines the request body for the [SearchCatalogItems](https://developer.squareup.com/reference/square_2021-08-18/catalog-api/search-catalog-items) endpoint.", "example": {"request_body": {"limit": 100, "sort_order": "ASC", "text_filter": "red", "category_ids": ["WINE_CATEGORY_ID"], "stock_levels": ["OUT", "LOW"], "product_types": ["REGULAR"], "enabled_location_ids": ["ATL_LOCATION_ID"], "custom_attribute_filters": [{"bool_filter": true, "custom_attribute_definition_id": "VEGAN_DEFINITION_ID"}, {"string_filter": "Dark Horse", "custom_attribute_definition_id": "BRAND_DEFINITION_ID"}, {"key": "VINTAGE", "number_filter": {"max": 2018, "min": 2017}}, {"selection_ids_filter": "MERLOT_SELECTION_ID", "custom_attribute_definition_id": "VARIETAL_DEFINITION_ID"}]}}, "x-release-status": "PUBLIC", "properties": {"category_ids": {"type": "array", "items": {"type": "string"}}, "cursor": {"type": "string"}, "custom_attribute_filters": {"type": "array", "items": {"$ref": "#/components/schemas/CustomAttributeFilter"}}, "enabled_location_ids": {"type": "array", "items": {"type": "string"}}, "limit": {"type": "integer", "maximum": 100}, "product_types": {"type": "array", "items": {"type": "string"}}, "sort_order": {"type": "string"}, "stock_levels": {"type": "array", "items": {"type": "string"}}, "text_filter": {"type": "string"}}}, "SearchCatalogItemsRequestStockLevel": {"type": "string", "title": "SearchCatalogItemsRequestStockLevel", "description": "Defines supported stock levels of the item inventory.", "enum": ["OUT", "LOW"], "x-enum-elements": [{"name": "OUT", "description": "The item inventory is empty."}, {"name": "LOW", "description": "The item inventory is low."}], "x-release-status": "PUBLIC"}, "SearchCatalogItemsResponse": {"type": "object", "title": "SearchCatalogItemsResponse", "description": "Defines the response body returned from the [SearchCatalogItems](https://developer.squareup.com/reference/square_2021-08-18/catalog-api/search-catalog-items) endpoint.", "example": {"items": [{"id": "GPOKJPTV2KDLVKCADJ7I77EZ", "type": "ITEM", "version": 1592502956646, "item_data": {"name": "Dark Horse Merlot 2018", "variations": [{"id": "VBJNPHCOKDFECR6VU25WRJUD", "type": "ITEM_VARIATION", "version": 1592502956646, "is_deleted": false, "updated_at": "2020-06-18T17:55:56.646Z", "item_variation_data": {"name": "750 mL", "item_id": "GPOKJPTV2KDLVKCADJ7I77EZ", "ordinal": 0, "price_money": {"amount": 1000, "currency": "USD"}, "pricing_type": "FIXED_PRICING"}, "present_at_all_locations": true}], "description": "A nice red wine", "product_type": "REGULAR"}, "is_deleted": false, "updated_at": "2020-06-18T17:55:56.646Z", "custom_attribute_values": {"BRAND": {"key": "BRAND", "name": "Brand", "type": "STRING", "string_value": "Dark Horse", "custom_attribute_definition_id": "BRAND_DEFINITION_ID"}, "VINTAGE": {"key": "VINTAGE", "name": "Vintage", "type": "NUMBER", "number_value": 2018, "custom_attribute_definition_id": "EI7IJQDUKYSHULREPIPH6HNU"}, "VARIETAL": {"key": "VARIETAL", "name": "Varietal", "type": "SELECTION", "selection_uid_values": ["MERLOT_SELECTION_ID", null], "custom_attribute_definition_id": "VARIETAL_DEFINITION_ID"}}, "present_at_all_locations": true}], "matched_variation_ids": ["VBJNPHCOKDFECR6VU25WRJUD"]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "items": {"type": "array", "items": {"$ref": "#/components/schemas/CatalogObject"}}, "matched_variation_ids": {"type": "array", "items": {"type": "string"}}}}, "SearchCatalogObjectsRequest": {"type": "object", "title": "SearchCatalogObjectsRequest", "example": {"request_body": {"limit": 100, "query": {"prefix_query": {"attribute_name": "name", "attribute_prefix": "tea"}}, "object_types": ["ITEM"]}}, "description": "", "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsRequest.php", "java": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsRequest.java", "ruby": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsRequest.ruby", "csharp": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsRequest.csharp", "python": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsRequest.python", "javascript": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsRequest.javascript"}, "properties": {"begin_time": {"type": "string"}, "cursor": {"type": "string"}, "include_deleted_objects": {"type": "boolean"}, "include_related_objects": {"type": "boolean"}, "limit": {"type": "integer"}, "object_types": {"type": "array", "items": {"type": "string"}}, "query": {"$ref": "#/components/schemas/CatalogQuery"}}}, "SearchCatalogObjectsResponse": {"type": "object", "title": "SearchCatalogObjectsResponse", "example": {"objects": [{"id": "X5DZ5NWWAQ44CKBLKIFQGOWK", "type": "ITEM", "version": 1509032492337, "item_data": {"name": "Tea - Black", "tax_ids": ["ZXITPM6RWHZ7GZ7EIP3YKECM"], "variations": [{"id": "5GSZPX6EU7MM75S57OONG3V5", "type": "ITEM_VARIATION", "version": 1509031651626, "is_deleted": false, "updated_at": "2017-10-26T15:27:31.626Z", "item_variation_data": {"name": "Regular", "item_id": "X5DZ5NWWAQ44CKBLKIFQGOWK", "ordinal": 1, "price_money": {"amount": 150, "currency": "USD"}, "pricing_type": "FIXED_PRICING"}, "present_at_all_locations": true}, {"id": "XVLBN7DU6JTWHJTG5F265B43", "type": "ITEM_VARIATION", "version": 1509031651626, "is_deleted": false, "updated_at": "2017-10-26T15:27:31.626Z", "item_variation_data": {"name": "Large", "item_id": "X5DZ5NWWAQ44CKBLKIFQGOWK", "ordinal": 2, "price_money": {"amount": 225, "currency": "USD"}, "pricing_type": "FIXED_PRICING"}, "present_at_all_locations": true}], "visibility": "PRIVATE", "category_id": "E7CLE5RZZ744BHWVQQEAHI2C", "description": "A delicious blend of black tea.", "product_type": "REGULAR"}, "is_deleted": false, "updated_at": "2017-10-26T15:41:32.337Z", "present_at_all_locations": true}, {"id": "NNNEM3LA656Q46NXLWCNI7S5", "type": "ITEM", "version": 1509032483232, "item_data": {"name": "Tea - Green", "tax_ids": ["ZXITPM6RWHZ7GZ7EIP3YKECM"], "variations": [{"id": "FHYBVIA6NVBCSOVETA62WEA4", "type": "ITEM_VARIATION", "version": 1509031740524, "is_deleted": false, "updated_at": "2017-10-26T15:29:00.524Z", "item_variation_data": {"name": "Regular", "item_id": "NNNEM3LA656Q46NXLWCNI7S5", "ordinal": 1, "price_money": {"amount": 150, "currency": "USD"}, "pricing_type": "FIXED_PRICING"}, "present_at_all_locations": true}], "visibility": "PRIVATE", "category_id": "E7CLE5RZZ744BHWVQQEAHI2C", "description": "Relaxing green herbal tea.", "product_type": "REGULAR"}, "is_deleted": false, "updated_at": "2017-10-26T15:41:23.232Z", "present_at_all_locations": true}]}, "description": "", "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsResponse.php", "java": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsResponse.java", "ruby": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsResponse.ruby", "csharp": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsResponse.csharp", "python": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsResponse.python", "javascript": "/sdk_samples/Catalog/SearchCatalogObjects/SearchCatalogObjectsResponse.javascript"}, "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "latest_time": {"type": "string", "x-is-beta": true, "x-release-status": "BETA"}, "objects": {"type": "array", "items": {"$ref": "#/components/schemas/CatalogObject"}}, "related_objects": {"type": "array", "items": {"$ref": "#/components/schemas/CatalogObject"}}}}, "SearchCustomersRequest": {"type": "object", "title": "SearchCustomersRequest", "description": "Defines the fields that are included in the request body of a request to the\n`SearchCustomers` endpoint.", "example": {"request_body": {"limit": 2, "query": {"sort": {"field": "CREATED_AT", "order": "ASC"}, "filter": {"group_ids": {"all": ["545AXB44B4XXWMVQ4W8SBT3HHF"]}, "created_at": {"end_at": "2018-02-01T00:00:00-00:00", "start_at": "2018-01-01T00:00:00-00:00"}, "email_address": {"fuzzy": "example.com"}, "creation_source": {"rule": "INCLUDE", "values": ["THIRD_PARTY"]}}}}}, "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/SearchCustomers/SearchCustomersRequest.php", "java": "/sdk_samples/SearchCustomers/SearchCustomersRequest.java", "ruby": "/sdk_samples/SearchCustomers/SearchCustomersRequest.ruby", "csharp": "/sdk_samples/SearchCustomers/SearchCustomersRequest.csharp", "python": "/sdk_samples/SearchCustomers/SearchCustomersRequest.python", "javascript": "/sdk_samples/SearchCustomers/SearchCustomersRequest.javascript"}, "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "format": "int64", "maximum": 100, "minimum": 1}, "query": {"$ref": "#/components/schemas/CustomerQuery"}}}, "SearchCustomersResponse": {"type": "object", "title": "SearchCustomersResponse", "description": "Defines the fields that are included in the response body of\na request to the `SearchCustomers` endpoint.\n\nEither `errors` or `customers` is present in a given response (never both).", "example": {"cursor": "9dpS093Uy12AzeE", "customers": [{"id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "address": {"country": "US", "locality": "New York", "postal_code": "10003", "address_line_1": "505 Electric Ave", "address_line_2": "Suite 600", "administrative_district_level_1": "NY"}, "version": 7, "group_ids": ["545AXB44B4XXWMVQ4W8SBT3HHF"], "created_at": "2018-01-23T20:21:54.859Z", "given_name": "James", "updated_at": "2020-04-20T10:02:43.083Z", "family_name": "Bond", "preferences": {"email_unsubscribed": false}, "segment_ids": ["1KB9JE5EGJXCW.REACHABLE"], "phone_number": "1-212-555-4250", "reference_id": "YOUR_REFERENCE_ID_2", "email_address": "james.bond@example.com", "creation_source": "DIRECTORY"}, {"id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "note": "a customer", "address": {"country": "US", "locality": "New York", "postal_code": "10003", "address_line_1": "500 Electric Ave", "address_line_2": "Suite 600", "administrative_district_level_1": "NY"}, "version": 1, "group_ids": ["545AXB44B4XXWMVQ4W8SBT3HHF"], "created_at": "2018-01-30T14:10:54.859Z", "given_name": "Amelia", "updated_at": "2018-03-08T18:25:21.342Z", "family_name": "Earhart", "preferences": {"email_unsubscribed": false}, "segment_ids": ["1KB9JE5EGJXCW.REACHABLE"], "phone_number": "1-212-555-4240", "reference_id": "YOUR_REFERENCE_ID_1", "email_address": "amelia.earhart@example.com", "creation_source": "THIRD_PARTY"}]}, "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/SearchCustomers/SearchCustomersResponse.php", "java": "/sdk_samples/SearchCustomers/SearchCustomersResponse.java", "ruby": "/sdk_samples/SearchCustomers/SearchCustomersResponse.ruby", "csharp": "/sdk_samples/SearchCustomers/SearchCustomersResponse.csharp", "python": "/sdk_samples/SearchCustomers/SearchCustomersResponse.python", "javascript": "/sdk_samples/SearchCustomers/SearchCustomersResponse.javascript"}, "properties": {"cursor": {"type": "string"}, "customers": {"type": "array", "items": {"$ref": "#/components/schemas/Customer"}}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "SearchInvoicesRequest": {"type": "object", "title": "SearchInvoicesRequest", "description": "Describes a `SearchInvoices` request.", "example": {"request_body": {"query": {"sort": {"field": "INVOICE_SORT_DATE", "order": "DESC"}, "limit": 100, "filter": {"customer_ids": ["JDKYHBWT1D4F8MFH63DBMEN8Y4"], "location_ids": ["ES0RJRZYEC39A"]}}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer"}, "query": {"$ref": "#/components/schemas/InvoiceQuery"}}, "required": ["query"]}, "SearchInvoicesResponse": {"type": "object", "title": "SearchInvoicesResponse", "description": "Describes a `SearchInvoices` response.", "example": {"cursor": "ChoIDhIWVm54ZVRhLXhySFBOejBBM2xJb2daUQoFCI4IGAE", "invoices": [{"id": "inv:0-ChCHu2mZEabLeeHahQnXDjZQECY", "title": "Event Planning Services", "status": "DRAFT", "version": 0, "order_id": "CAISENgvlJ6jLWAzERDzjyHVybY", "timezone": "America/Los_Angeles", "created_at": "2020-06-18T17:45:13Z", "updated_at": "2020-06-18T17:45:13Z", "description": "We appreciate your business!", "location_id": "ES0RJRZYEC39A", "scheduled_at": "2030-01-13T10:00:00Z", "custom_fields": [{"label": "Event Reference Number", "value": "Ref. #1234", "placement": "ABOVE_LINE_ITEMS"}, {"label": "Terms of Service", "value": "The terms of service are...", "placement": "BELOW_LINE_ITEMS"}], "invoice_number": "inv-100", "delivery_method": "EMAIL", "payment_requests": [{"uid": "2da7964f-f3d2-4f43-81e8-5aa220bf3355", "due_date": "2030-01-24", "reminders": [{"uid": "beebd363-e47f-4075-8785-c235aaa7df11", "status": "PENDING", "message": "Your invoice is due tomorrow", "relative_scheduled_days": -1}], "request_type": "BALANCE", "tipping_enabled": true, "computed_amount_money": {"amount": 10000, "currency": "USD"}, "automatic_payment_source": "NONE", "total_completed_amount_money": {"amount": 0, "currency": "USD"}}], "primary_recipient": {"given_name": "Amelia", "customer_id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "family_name": "Earhart", "phone_number": "1-212-555-4240", "email_address": "Amelia.Earhart@example.com"}, "accepted_payment_methods": {"card": true, "bank_account": false, "square_gift_card": false}}, {"id": "inv:0-ChC366qAfskpGrBI_1bozs9mEA3", "status": "PARTIALLY_PAID", "version": 3, "order_id": "a65jnS8NXbfprvGJzY9F4fQTuaB", "timezone": "America/Los_Angeles", "created_at": "2021-01-23T15:29:12Z", "public_url": "https://squareup.com/pay-invoice/h9sfsfTGTSnYEhISUDBhEQ", "updated_at": "2021-01-23T15:29:56Z", "location_id": "ES0RJRZYEC39A", "invoice_number": "inv-455", "delivery_method": "EMAIL", "payment_requests": [{"uid": "66c3bdfd-5090-4ff9-a8a0-c1e1a2ffa176", "card_id": "ccof:IkWfpLj4tNHMyFii3GB", "due_date": "2021-01-23", "request_type": "DEPOSIT", "tipping_enabled": false, "percentage_requested": "25", "computed_amount_money": {"amount": 1000, "currency": "USD"}, "automatic_payment_source": "CARD_ON_FILE", "total_completed_amount_money": {"amount": 1000, "currency": "USD"}}, {"uid": "120c5e18-4f80-4f6b-b159-774cb9bf8f99", "card_id": "ccof:IkWfpLj4tNHMyFii3GB", "due_date": "2021-06-15", "request_type": "BALANCE", "tipping_enabled": false, "computed_amount_money": {"amount": 3000, "currency": "USD"}, "automatic_payment_source": "CARD_ON_FILE", "total_completed_amount_money": {"amount": 0, "currency": "USD"}}], "primary_recipient": {"given_name": "Amelia", "customer_id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "family_name": "Earhart", "phone_number": "1-212-555-4240", "email_address": "Amelia.Earhart@example.com"}, "accepted_payment_methods": {"card": true, "bank_account": false, "square_gift_card": true}, "next_payment_amount_money": {"amount": 3000, "currency": "USD"}}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "invoices": {"type": "array", "items": {"$ref": "#/components/schemas/Invoice"}}}}, "SearchLoyaltyAccountsRequest": {"type": "object", "title": "SearchLoyaltyAccountsRequest", "description": "A request to search for loyalty accounts.", "example": {"request_body": {"limit": 10, "query": {"mappings": [{"phone_number": "+14155551234"}]}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 30, "minimum": 1}, "query": {"$ref": "#/components/schemas/SearchLoyaltyAccountsRequestLoyaltyAccountQuery"}}}, "SearchLoyaltyAccountsRequestLoyaltyAccountQuery": {"type": "object", "title": "SearchLoyaltyAccountsRequestLoyaltyAccountQuery", "description": "The search criteria for the loyalty accounts.", "x-release-status": "PUBLIC", "properties": {"customer_ids": {"type": "array", "items": {"type": "string"}}, "mappings": {"type": "array", "items": {"$ref": "#/components/schemas/LoyaltyAccountMapping"}}}}, "SearchLoyaltyAccountsResponse": {"type": "object", "title": "SearchLoyaltyAccountsResponse", "description": "A response that includes loyalty accounts that satisfy the search criteria.", "example": {"loyalty_accounts": [{"id": "79b807d2-d786-46a9-933b-918028d7a8c5", "balance": 10, "mapping": {"id": "66aaab3f-da99-49ed-8b19-b87f851c844f", "created_at": "2020-05-08T21:44:32Z", "phone_number": "+14155551234"}, "created_at": "2020-05-08T21:44:32Z", "program_id": "d619f755-2d17-41f3-990d-c04ecedd64dd", "updated_at": "2020-05-08T21:44:32Z", "customer_id": "Q8002FAM9V1EZ0ADB2T5609X6NET1H0", "lifetime_points": 20}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "loyalty_accounts": {"type": "array", "items": {"$ref": "#/components/schemas/LoyaltyAccount"}}}}, "SearchLoyaltyEventsRequest": {"type": "object", "title": "SearchLoyaltyEventsRequest", "description": "A request to search for loyalty events.", "example": {"request_body": {"limit": 30, "query": {"filter": {"order_filter": {"order_id": "PyATxhYLfsMqpVkcKJITPydgEYfZY"}}}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 30, "minimum": 1}, "query": {"$ref": "#/components/schemas/LoyaltyEventQuery"}}}, "SearchLoyaltyEventsResponse": {"type": "object", "title": "SearchLoyaltyEventsResponse", "description": "A response that contains loyalty events that satisfy the search \ncriteria, in order by the `created_at` date.", "example": {"events": [{"id": "c27c8465-806e-36f2-b4b3-71f5887b5ba8", "type": "ACCUMULATE_POINTS", "source": "LOYALTY_API", "created_at": "2020-05-08T22:01:30Z", "location_id": "P034NEENMD09F", "accumulate_points": {"points": 5, "order_id": "PyATxhYLfsMqpVkcKJITPydgEYfZY", "loyalty_program_id": "d619f755-2d17-41f3-990d-c04ecedd64dd"}, "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}, {"id": "e4a5cbc3-a4d0-3779-98e9-e578885d9430", "type": "REDEEM_REWARD", "source": "LOYALTY_API", "created_at": "2020-05-08T22:01:15Z", "location_id": "P034NEENMD09F", "redeem_reward": {"order_id": "PyATxhYLfsMqpVkcKJITPydgEYfZY", "reward_id": "d03f79f4-815f-3500-b851-cc1e68a457f9", "loyalty_program_id": "d619f755-2d17-41f3-990d-c04ecedd64dd"}, "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}, {"id": "5e127479-0b03-3671-ab1e-15faea8b7188", "type": "CREATE_REWARD", "source": "LOYALTY_API", "created_at": "2020-05-08T22:00:44Z", "create_reward": {"points": -10, "reward_id": "d03f79f4-815f-3500-b851-cc1e68a457f9", "loyalty_program_id": "d619f755-2d17-41f3-990d-c04ecedd64dd"}, "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "events": {"type": "array", "items": {"$ref": "#/components/schemas/LoyaltyEvent"}}}}, "SearchLoyaltyRewardsRequest": {"type": "object", "title": "SearchLoyaltyRewardsRequest", "description": "A request to search for loyalty rewards.", "example": {"request_body": {"limit": 10, "query": {"loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 30, "minimum": 1}, "query": {"$ref": "#/components/schemas/SearchLoyaltyRewardsRequestLoyaltyRewardQuery"}}}, "SearchLoyaltyRewardsRequestLoyaltyRewardQuery": {"type": "object", "title": "SearchLoyaltyRewardsRequestLoyaltyRewardQuery", "description": "The set of search requirements.", "x-release-status": "PUBLIC", "properties": {"loyalty_account_id": {"type": "string"}, "status": {"type": "string"}}, "required": ["loyalty_account_id"]}, "SearchLoyaltyRewardsResponse": {"type": "object", "title": "SearchLoyaltyRewardsResponse", "description": "A response that includes the loyalty rewards satisfying the search criteria.", "example": {"rewards": [{"id": "d03f79f4-815f-3500-b851-cc1e68a457f9", "points": 10, "status": "REDEEMED", "order_id": "PyATxhYLfsMqpVkcKJITPydgEYfZY", "created_at": "2020-05-08T22:00:44Z", "updated_at": "2020-05-08T22:01:17Z", "redeemed_at": "2020-05-08T22:01:17Z", "reward_tier_id": "e1b39225-9da5-43d1-a5db-782cdd8ad94f", "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}, {"id": "9f18ac21-233a-31c3-be77-b45840f5a810", "points": 10, "status": "REDEEMED", "created_at": "2020-05-08T21:55:42Z", "updated_at": "2020-05-08T21:56:00Z", "redeemed_at": "2020-05-08T21:56:00Z", "reward_tier_id": "e1b39225-9da5-43d1-a5db-782cdd8ad94f", "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}, {"id": "a8f43ebe-2ad6-3001-bdd5-7d7c2da08943", "points": 10, "status": "DELETED", "order_id": "5NB69ZNh3FbsOs1ox43bh1xrli6YY", "created_at": "2020-05-01T21:49:54Z", "updated_at": "2020-05-08T21:55:10Z", "reward_tier_id": "e1b39225-9da5-43d1-a5db-782cdd8ad94f", "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}, {"id": "a051254c-f840-3b45-8cf1-50bcd38ff92a", "points": 10, "status": "ISSUED", "order_id": "LQQ16znvi2VIUKPVhUfJefzr1eEZY", "created_at": "2020-05-01T20:20:37Z", "updated_at": "2020-05-01T20:20:40Z", "reward_tier_id": "e1b39225-9da5-43d1-a5db-782cdd8ad94f", "loyalty_account_id": "5adcb100-07f1-4ee7-b8c6-6bb9ebc474bd"}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "rewards": {"type": "array", "items": {"$ref": "#/components/schemas/LoyaltyReward"}}}}, "SearchOrdersCustomerFilter": {"type": "object", "title": "SearchOrdersCustomerFilter", "description": "A filter based on the order `customer_id` and any tender `customer_id`\nassociated with the order. It does not filter based on the\n[FulfillmentRecipient](https://developer.squareup.com/reference/square_2021-08-18/objects/OrderFulfillmentRecipient) `customer_id`.", "x-is-beta": true, "x-release-status": "BETA", "properties": {"customer_ids": {"type": "array", "items": {"type": "string"}}}}, "SearchOrdersDateTimeFilter": {"type": "object", "title": "SearchOrdersDateTimeFilter", "description": "Filter for `Order` objects based on whether their `CREATED_AT`,\n`CLOSED_AT`, or `UPDATED_AT` timestamps fall within a specified time range.\nYou can specify the time range and which timestamp to filter for. You can filter\nfor only one time range at a time.\n\nFor each time range, the start time and end time are inclusive. If the end time\nis absent, it defaults to the time of the first request for the cursor.\n\n__Important:__ If you use the `DateTimeFilter` in a `SearchOrders` query,\nyou must set the `sort_field` in [OrdersSort](https://developer.squareup.com/reference/square_2021-08-18/objects/SearchOrdersSort)\nto the same field you filter for. For example, if you set the `CLOSED_AT` field\nin `DateTimeFilter`, you must set the `sort_field` in `SearchOrdersSort` to\n`CLOSED_AT`. Otherwise, `SearchOrders` throws an error.\n[Learn more about filtering orders by time range.](https://developer.squareup.com/docs/orders-api/manage-orders#important-note-on-filtering-orders-by-time-range)", "x-release-status": "PUBLIC", "properties": {"closed_at": {"$ref": "#/components/schemas/TimeRange"}, "created_at": {"$ref": "#/components/schemas/TimeRange"}, "updated_at": {"$ref": "#/components/schemas/TimeRange"}}}, "SearchOrdersFilter": {"type": "object", "title": "SearchOrdersFilter", "description": "Filtering criteria to use for a `SearchOrders` request. Multiple filters\nare ANDed together.", "x-release-status": "PUBLIC", "properties": {"customer_filter": {"$ref": "#/components/schemas/SearchOrdersCustomerFilter"}, "date_time_filter": {"$ref": "#/components/schemas/SearchOrdersDateTimeFilter"}, "fulfillment_filter": {"$ref": "#/components/schemas/SearchOrdersFulfillmentFilter"}, "source_filter": {"$ref": "#/components/schemas/SearchOrdersSourceFilter"}, "state_filter": {"$ref": "#/components/schemas/SearchOrdersStateFilter"}}}, "SearchOrdersFulfillmentFilter": {"type": "object", "title": "SearchOrdersFulfillmentFilter", "description": "Filter based on [order fulfillment](https://developer.squareup.com/reference/square_2021-08-18/objects/OrderFulfillment) information.", "x-release-status": "PUBLIC", "properties": {"fulfillment_states": {"type": "array", "items": {"type": "string"}}, "fulfillment_types": {"type": "array", "items": {"type": "string"}}}}, "SearchOrdersQuery": {"type": "object", "title": "SearchOrdersQuery", "description": "Contains query criteria for the search.", "x-release-status": "PUBLIC", "properties": {"filter": {"$ref": "#/components/schemas/SearchOrdersFilter"}, "sort": {"$ref": "#/components/schemas/SearchOrdersSort"}}}, "SearchOrdersRequest": {"type": "object", "title": "SearchOrdersRequest", "description": "The request does not have any required fields. When given no query criteria,\n`SearchOrders` returns all results for all of the seller's locations. When retrieving additional\npages using a `cursor`, the `query` must be equal to the `query` used to retrieve the first page of\nresults.", "example": {"request_body": {"limit": 3, "query": {"sort": {"sort_field": "CLOSED_AT", "sort_order": "DESC"}, "filter": {"state_filter": {"states": ["COMPLETED"]}, "date_time_filter": {"closed_at": {"end_at": "2019-03-04T21:54:45+00:00", "start_at": "2018-03-03T20:00:00+00:00"}}}}, "location_ids": ["057P5VYJ4A5X1", "18YC4JDH91E1H"], "return_entries": true}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "minimum": 1}, "location_ids": {"type": "array", "items": {"type": "string"}}, "query": {"$ref": "#/components/schemas/SearchOrdersQuery"}, "return_entries": {"type": "boolean"}}}, "SearchOrdersResponse": {"type": "object", "title": "SearchOrdersResponse", "description": "Either the `order_entries` or `orders` field is set, depending on whether\n`return_entries` is set on the [SearchOrdersRequest](https://developer.squareup.com/reference/square_2021-08-18/orders-api/search-orders).", "example": {"cursor": "123", "order_entries": [{"version": 1, "order_id": "CAISEM82RcpmcFBM0TfOyiHV3es", "location_id": "057P5VYJ4A5X1"}, {"order_id": "CAISENgvlJ6jLWAzERDzjyHVybY", "location_id": "18YC4JDH91E1H"}, {"order_id": "CAISEM52YcpmcWAzERDOyiWS3ty", "location_id": "057P5VYJ4A5X1"}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "order_entries": {"type": "array", "items": {"$ref": "#/components/schemas/OrderEntry"}}, "orders": {"type": "array", "items": {"$ref": "#/components/schemas/Order"}}}}, "SearchOrdersSort": {"type": "object", "title": "SearchOrdersSort", "description": "Sorting criteria for a `SearchOrders` request. Results can only be sorted\nby a timestamp field.", "x-release-status": "PUBLIC", "properties": {"sort_field": {"type": "string"}, "sort_order": {"type": "string"}}, "required": ["sort_field"]}, "SearchOrdersSortField": {"type": "string", "title": "SearchOrdersSortField", "description": "Specifies which timestamp to use to sort `SearchOrder` results.", "enum": ["CREATED_AT", "UPDATED_AT", "CLOSED_AT"], "x-enum-elements": [{"name": "CREATED_AT", "description": "The time when the order was created, in RFC-3339 format. If you are also\nfiltering for a time range in this query, you must set the `CREATED_AT`\nfield in your `DateTimeFilter`."}, {"name": "UPDATED_AT", "description": "The time when the order last updated, in RFC-3339 format. If you are also\nfiltering for a time range in this query, you must set the `UPDATED_AT`\nfield in your `DateTimeFilter`."}, {"name": "CLOSED_AT", "description": "The time when the order was closed, in RFC-3339 format. If you use this\nvalue, you must also set a `StateFilter` with closed states. If you are also\nfiltering for a time range in this query, you must set the `CLOSED_AT`\nfield in your `DateTimeFilter`."}], "x-release-status": "PUBLIC"}, "SearchOrdersSourceFilter": {"type": "object", "title": "SearchOrdersSourceFilter", "description": "A filter based on order `source` information.", "x-release-status": "PUBLIC", "properties": {"source_names": {"type": "array", "items": {"type": "string"}}}}, "SearchOrdersStateFilter": {"type": "object", "title": "SearchOrdersStateFilter", "description": "Filter by the current order `state`.", "x-release-status": "PUBLIC", "properties": {"states": {"type": "array", "items": {"type": "string"}}}, "required": ["states"]}, "SearchShiftsRequest": {"type": "object", "title": "SearchShiftsRequest", "description": "A request for a filtered and sorted set of `Shift` objects.", "example": {"request_body": {"limit": 100, "query": {"filter": {"workday": {"date_range": {"end_date": "2019-02-03", "start_date": "2019-01-20"}, "match_shifts_by": "START_AT", "default_timezone": "America/Los_Angeles"}}}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 200, "minimum": 1}, "query": {"$ref": "#/components/schemas/ShiftQuery"}}}, "SearchShiftsResponse": {"type": "object", "title": "SearchShiftsResponse", "description": "The response to a request for `Shift` objects. The response contains\nthe requested `Shift` objects and might contain a set of `Error` objects if\nthe request resulted in errors.", "example": {"shifts": [{"id": "X714F3HA6D1PT", "wage": {"title": "Barista", "hourly_rate": {"amount": 1100, "currency": "USD"}}, "breaks": [{"id": "SJW7X6AKEJQ65", "name": "Tea Break", "end_at": "2019-01-21T06:11:00-05:00", "is_paid": true, "start_at": "2019-01-21T06:11:00-05:00", "break_type_id": "REGS1EQR1TPZ5", "expected_duration": "PT10M"}], "end_at": "2019-01-21T13:11:00-05:00", "status": "CLOSED", "version": 6, "start_at": "2019-01-21T03:11:00-05:00", "timezone": "America/New_York", "created_at": "2019-01-24T01:12:03Z", "updated_at": "2019-02-07T22:21:08Z", "employee_id": "ormj0jJJZ5OZIzxrZYJI", "location_id": "PAA1RJZZKXBFG", "team_member_id": "ormj0jJJZ5OZIzxrZYJI"}, {"id": "GDHYBZYWK0P2V", "wage": {"title": "Cook", "hourly_rate": {"amount": 1600, "currency": "USD"}}, "breaks": [{"id": "BKS6VR7WR748A", "name": "Tea Break", "end_at": "2019-01-23T14:40:00-05:00", "is_paid": true, "start_at": "2019-01-23T14:30:00-05:00", "break_type_id": "WQX00VR99F53J", "expected_duration": "PT10M"}, {"id": "BQFEZSHFZSC51", "name": "Coffee Break", "end_at": "2019-01-22T12:44:00-05:00", "is_paid": false, "start_at": "2019-01-22T12:30:00-05:00", "break_type_id": "P6Q468ZFRN1AC", "expected_duration": "PT15M"}], "end_at": "2019-01-22T13:02:00-05:00", "status": "CLOSED", "version": 16, "start_at": "2019-01-22T12:02:00-05:00", "timezone": "America/New_York", "created_at": "2019-01-23T23:32:45Z", "updated_at": "2019-01-24T00:56:25Z", "employee_id": "33fJchumvVdJwxV0H6L9", "location_id": "PAA1RJZZKXBFG", "team_member_id": "33fJchumvVdJwxV0H6L9"}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "shifts": {"type": "array", "items": {"$ref": "#/components/schemas/Shift"}}}}, "SearchSubscriptionsFilter": {"type": "object", "title": "SearchSubscriptionsFilter", "description": "Represents a set of SearchSubscriptionsQuery filters used to limit the set of Subscriptions returned by SearchSubscriptions.", "x-release-status": "PUBLIC", "properties": {"customer_ids": {"type": "array", "items": {"type": "string"}}, "location_ids": {"type": "array", "items": {"type": "string"}}}}, "SearchSubscriptionsQuery": {"type": "object", "title": "SearchSubscriptionsQuery", "description": "Represents a query (including filtering criteria) used to search for subscriptions.", "x-release-status": "PUBLIC", "properties": {"filter": {"$ref": "#/components/schemas/SearchSubscriptionsFilter"}}}, "SearchSubscriptionsRequest": {"type": "object", "title": "SearchSubscriptionsRequest", "description": "Defines parameters in a\n[SearchSubscriptions](https://developer.squareup.com/reference/square_2021-08-18/subscriptions-api/search-subscriptions) endpoint\nrequest.", "example": {"request_body": {"query": {"filter": {"customer_ids": ["CHFGVKYY8RSV93M5KCYTG4PN0G"], "location_ids": ["S8GWD5R9QB376"]}}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "minimum": 1}, "query": {"$ref": "#/components/schemas/SearchSubscriptionsQuery"}}}, "SearchSubscriptionsResponse": {"type": "object", "title": "SearchSubscriptionsResponse", "description": "Defines the fields that are included in the response from the\n[SearchSubscriptions](https://developer.squareup.com/reference/square_2021-08-18/subscriptions-api/search-subscriptions) endpoint.", "example": {"subscriptions": [{"id": "de86fc96-8664-474b-af1a-abbe59cacf0e", "status": "CANCELED", "card_id": "ccof:mueUsvgajChmjEbp4GB", "plan_id": "L3TJVDHVBEQEGQDEZL2JJM7R", "timezone": "UTC", "created_at": "2020-08-03T21:53:10Z", "start_date": "2020-04-14", "customer_id": "CHFGVKYY8RSV93M5KCYTG4PN0G", "location_id": "S8GWD5R9QB376", "canceled_date": "2020-04-14", "paid_until_date": "2020-05-14", "charged_through_date": "2020-05-14"}, {"id": "56214fb2-cc85-47a1-93bc-44f3766bb56f", "status": "PENDING", "plan_id": "6JHXF3B2CW3YKHDV4XEM674H", "version": 1594155459464, "timezone": "America/Los_Angeles", "created_at": "2020-08-03T21:53:10Z", "start_date": "2020-08-01", "customer_id": "CHFGVKYY8RSV93M5KCYTG4PN0G", "location_id": "S8GWD5R9QB376", "tax_percentage": "5", "price_override_money": {"amount": 100, "currency": "USD"}}, {"id": "8151fc89-da15-4eb9-a685-1a70883cebfc", "status": "ACTIVE", "plan_id": "6JHXF3B2CW3YKHDV4XEM674H", "timezone": "America/Los_Angeles", "created_at": "2020-08-03T21:53:10Z", "start_date": "2020-05-11", "customer_id": "CHFGVKYY8RSV93M5KCYTG4PN0G", "invoice_ids": ["grebK0Q_l8H4fqoMMVvt-Q", "rcX_i3sNmHTGKhI4W2mceA"], "location_id": "S8GWD5R9QB376", "paid_until_date": "2020-06-11", "charged_through_date": "2020-06-11", "price_override_money": {"amount": 1000, "currency": "USD"}}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "subscriptions": {"type": "array", "items": {"$ref": "#/components/schemas/Subscription"}}}}, "SearchTeamMembersFilter": {"type": "object", "title": "SearchTeamMembersFilter", "description": "Represents a filter used in a search for `TeamMember` objects. `AND` logic is applied\nbetween the individual fields, and `OR` logic is applied within list-based fields.\nFor example, setting this filter value:\n```\nfilter = (locations_ids = [\"A\", \"B\"], status = ACTIVE)\n```\nreturns only active team members assigned to either location \"A\" or \"B\".", "x-release-status": "PUBLIC", "properties": {"location_ids": {"type": "array", "items": {"type": "string"}}, "status": {"type": "string"}}}, "SearchTeamMembersQuery": {"type": "object", "title": "SearchTeamMembersQuery", "description": "Represents the parameters in a search for `TeamMember` objects.", "x-release-status": "PUBLIC", "properties": {"filter": {"$ref": "#/components/schemas/SearchTeamMembersFilter"}}}, "SearchTeamMembersRequest": {"type": "object", "title": "SearchTeamMembersRequest", "description": "Represents a search request for a filtered list of `TeamMember` objects.", "example": {"request_body": {"limit": 10, "query": {"filter": {"status": "ACTIVE", "location_ids": ["0G5P3VGACMMQZ"]}}}}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 100, "minimum": 1}, "query": {"$ref": "#/components/schemas/SearchTeamMembersQuery"}}}, "SearchTeamMembersResponse": {"type": "object", "title": "SearchTeamMembersResponse", "description": "Represents a response from a search request containing a filtered list of `TeamMember` objects.", "example": {"cursor": "N:9UglUjOXQ13-hMFypCft", "team_members": [{"id": "-3oZQKPKVk6gUXU_V5Qa", "status": "ACTIVE", "is_owner": false, "created_at": "2019-07-10T17:26:48Z", "given_name": "Johnny", "updated_at": "2020-04-28T21:49:28.957Z", "family_name": "Cash", "reference_id": "12345678", "email_address": "johnny_cash@squareup.com", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "1AVJj0DjkzbmbJw5r4KK", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T18:14:01.127Z", "given_name": "Lombard", "updated_at": "2020-06-09T17:38:05.423Z", "family_name": "Smith", "phone_number": "+14155552671", "reference_id": "abcded", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "2JCmiJol_KKFs9z2Evim", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T01:09:25.010Z", "given_name": "Monica", "updated_at": "2020-03-24T01:09:25.010Z", "family_name": "Sway", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "4uXcJQSLtbk3F0UQHFNQ", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T01:09:23.464Z", "given_name": "Elton", "updated_at": "2020-03-24T01:09:23.464Z", "family_name": "Ipsum", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "5CoUpyrw1YwGWcRd-eDL", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T01:09:23.074Z", "given_name": "Steven", "updated_at": "2020-03-24T01:09:23.074Z", "family_name": "Lo", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "5MRPTTp8MMBLVSmzrGha", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T18:14:03.865Z", "given_name": "Patrick", "updated_at": "2020-03-24T18:14:03.865Z", "family_name": "Steward", "phone_number": "+14155552671", "email_address": "patrick_steward@gmail.com", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "7F5ZxsfRnkexhu1PTbfh", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T01:09:25.180Z", "given_name": "Ivy", "updated_at": "2020-03-24T01:09:25.180Z", "family_name": "Manny", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "808X9HR72yKvVaigQXf4", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T18:14:02.797Z", "given_name": "John", "updated_at": "2020-03-24T18:14:02.797Z", "family_name": "Smith", "phone_number": "+14155552671", "email_address": "john_smith@gmail.com", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "9MVDVoY4hazkWKGo_OuZ", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T18:14:00.399Z", "given_name": "Robert", "updated_at": "2020-03-24T18:14:00.399Z", "family_name": "Wen", "phone_number": "+14155552671", "email_address": "r_wen@gmail.com", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}, {"id": "9UglUjOXQ13-hMFypCft", "status": "ACTIVE", "is_owner": false, "created_at": "2020-03-24T18:14:00.445Z", "given_name": "Ashley", "updated_at": "2020-03-24T18:14:00.445Z", "family_name": "Simpson", "phone_number": "+14155552671", "email_address": "asimpson@gmail.com", "assigned_locations": {"assignment_type": "ALL_CURRENT_AND_FUTURE_LOCATIONS"}}]}, "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "team_members": {"type": "array", "items": {"$ref": "#/components/schemas/TeamMember"}}}}, "SearchTerminalCheckoutsRequest": {"type": "object", "title": "SearchTerminalCheckoutsRequest", "example": {"request_body": {"limit": 2, "query": {"filter": {"status": "COMPLETED"}}}}, "description": "", "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 100, "minimum": 1}, "query": {"$ref": "#/components/schemas/TerminalCheckoutQuery"}}}, "SearchTerminalCheckoutsResponse": {"type": "object", "title": "SearchTerminalCheckoutsResponse", "example": {"cursor": "RiTJqBoTuXlbLmmrPvEkX9iG7XnQ4W4RjGnH", "checkouts": [{"id": "tsQPvzwBpMqqO", "note": "A brief note", "app_id": "APP_ID", "status": "COMPLETED", "created_at": "2020-03-31T18:13:15.921Z", "updated_at": "2020-03-31T18:13:52.725Z", "payment_ids": ["rXnhZzywrEk4vR6pw76fPZfgvaB"], "amount_money": {"amount": 2610, "currency": "USD"}, "reference_id": "id14467", "device_options": {"device_id": "dbb5d83a-7838-11ea-bc55-0242ac130003", "tip_settings": {"allow_tipping": false}, "skip_receipt_screen": false}, "deadline_duration": "PT10M"}, {"id": "XlOPTgcEhrbqO", "note": "A brief note", "app_id": "APP_ID", "status": "COMPLETED", "created_at": "2020-03-31T18:08:31.882Z", "updated_at": "2020-03-31T18:08:41.635Z", "payment_ids": ["VYBF861PaoKPP7Pih0TlbZiNvaB"], "amount_money": {"amount": 2610, "currency": "USD"}, "reference_id": "id41623", "device_options": {"device_id": "dbb5d83a-7838-11ea-bc55-0242ac130003", "tip_settings": {"allow_tipping": false}, "skip_receipt_screen": true}, "deadline_duration": "PT10M"}]}, "description": "", "x-release-status": "PUBLIC", "properties": {"checkouts": {"type": "array", "items": {"$ref": "#/components/schemas/TerminalCheckout"}}, "cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "SearchTerminalRefundsRequest": {"type": "object", "title": "SearchTerminalRefundsRequest", "example": {"request_body": {"limit": 1, "query": {"filter": {"status": "COMPLETED"}}}}, "description": "", "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "limit": {"type": "integer", "maximum": 100, "minimum": 1}, "query": {"$ref": "#/components/schemas/TerminalRefundQuery"}}}, "SearchTerminalRefundsResponse": {"type": "object", "title": "SearchTerminalRefundsResponse", "example": {"refunds": [{"id": "009DP5HD-5O5OvgkcNUhl7JBuINflcjKqUzXZY", "card": {"bin": "411111", "last_4": "1111", "exp_year": 2022, "card_type": "CREDIT", "exp_month": 1, "card_brand": "INTERAC", "fingerprint": "sq-1-B1fP9MNNmZgVVaPKRND6oDKYbz25S2cTvg9Mzwg3RMTK1zT1PiGRT-AE3nTA8vSmmw"}, "app_id": "sandbox-sq0idb-c2OuYt13YaCAeJq_2cd8OQ", "reason": "Returning item", "status": "COMPLETED", "order_id": "kcuKDKreRaI4gF4TjmEgZjHk8Z7YY", "device_id": "f72dfb8e-4d65-4e56-aade-ec3fb8d33291", "refund_id": "5O5OvgkcNUhl7JBuINflcjKqUzXZY_43Q4iGp7sNeATiWrUruA1EYeMRUXaddXXlDDJ1EQLvb", "created_at": "2020-09-29T15:21:46.771Z", "payment_id": "5O5OvgkcNUhl7JBuINflcjKqUzXZY", "updated_at": "2020-09-29T15:21:48.675Z", "location_id": "76C9W6K8CNNQ5", "amount_money": {"amount": 111, "currency": "CAD"}, "deadline_duration": "PT5M"}]}, "description": "", "x-release-status": "PUBLIC", "properties": {"cursor": {"type": "string"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "refunds": {"type": "array", "items": {"$ref": "#/components/schemas/TerminalRefund"}}}}, "SegmentFilter": {"type": "object", "title": "SegmentFilter", "description": "A query filter to search for appointment segments by.", "x-is-beta": true, "x-release-status": "BETA", "properties": {"service_variation_id": {"type": "string", "minLength": 1}, "team_member_id_filter": {"$ref": "#/components/schemas/FilterValue"}}, "required": ["service_variation_id"]}, "Shift": {"type": "object", "title": "Shift", "description": "A record of the hourly rate, start, and end times for a single work shift\nfor an employee. This might include a record of the start and end times for breaks\ntaken during the shift.", "x-release-status": "PUBLIC", "properties": {"breaks": {"type": "array", "items": {"$ref": "#/components/schemas/Break"}}, "created_at": {"type": "string", "x-read-only": true}, "employee_id": {"type": "string", "x-is-deprecated": true, "x-release-status": "DEPRECATED"}, "end_at": {"type": "string"}, "id": {"type": "string", "maxLength": 255}, "location_id": {"type": "string"}, "start_at": {"type": "string", "minLength": 1}, "status": {"type": "string"}, "team_member_id": {"type": "string"}, "timezone": {"type": "string"}, "updated_at": {"type": "string", "x-read-only": true}, "version": {"type": "integer"}, "wage": {"$ref": "#/components/schemas/ShiftWage"}}, "required": ["start_at"]}, "ShiftFilter": {"type": "object", "title": "ShiftFilter", "description": "Defines a filter used in a search for `Shift` records. `AND` logic is\nused by Square's servers to apply each filter property specified.", "x-release-status": "PUBLIC", "properties": {"employee_ids": {"type": "array", "items": {"type": "string"}, "x-is-deprecated": true, "x-release-status": "DEPRECATED"}, "end": {"$ref": "#/components/schemas/TimeRange"}, "location_ids": {"type": "array", "items": {"type": "string", "minLength": 1}}, "start": {"$ref": "#/components/schemas/TimeRange"}, "status": {"type": "string"}, "team_member_ids": {"type": "array", "items": {"type": "string", "minLength": 1}}, "workday": {"$ref": "#/components/schemas/ShiftWorkday"}}, "required": ["location_ids", "team_member_ids"]}, "ShiftFilterStatus": {"type": "string", "title": "ShiftFilterStatus", "description": "Specifies the `status` of `Shift` records to be returned.", "enum": ["OPEN", "CLOSED"], "x-enum-elements": [{"name": "OPEN", "description": "Shifts that have been started and not ended."}, {"name": "CLOSED", "description": "Shifts that have been started and ended."}], "x-release-status": "PUBLIC"}, "ShiftQuery": {"type": "object", "title": "ShiftQuery", "description": "The parameters of a `Shift` search query, which includes filter and sort options.", "x-release-status": "PUBLIC", "properties": {"filter": {"$ref": "#/components/schemas/ShiftFilter"}, "sort": {"$ref": "#/components/schemas/ShiftSort"}}}, "ShiftSort": {"type": "object", "title": "ShiftSort", "description": "Sets the sort order of search results.", "x-release-status": "PUBLIC", "properties": {"field": {"type": "string"}, "order": {"type": "string"}}}, "ShiftSortField": {"type": "string", "title": "ShiftSortField", "description": "Enumerates the `Shift` fields to sort on.", "enum": ["START_AT", "END_AT", "CREATED_AT", "UPDATED_AT"], "x-enum-elements": [{"name": "START_AT", "description": "The start date/time of a `Shift`"}, {"name": "END_AT", "description": "The end date/time of a `Shift`"}, {"name": "CREATED_AT", "description": "The date/time that a `Shift` is created"}, {"name": "UPDATED_AT", "description": "The most recent date/time that a `Shift` is updated"}], "x-release-status": "PUBLIC"}, "ShiftStatus": {"type": "string", "title": "ShiftStatus", "description": "Enumerates the possible status of a `Shift`.", "enum": ["OPEN", "CLOSED"], "x-enum-elements": [{"name": "OPEN", "description": "Employee started a work shift and the shift is not complete"}, {"name": "CLOSED", "description": "Employee started and ended a work shift."}], "x-release-status": "PUBLIC"}, "ShiftWage": {"type": "object", "title": "ShiftWage", "description": "The hourly wage rate used to compensate an employee for this shift.", "x-release-status": "PUBLIC", "properties": {"hourly_rate": {"$ref": "#/components/schemas/Money"}, "title": {"type": "string"}}}, "ShiftWorkday": {"type": "object", "title": "ShiftWorkday", "description": "A `Shift` search query filter parameter that sets a range of days that\na `Shift` must start or end in before passing the filter condition.", "x-release-status": "PUBLIC", "properties": {"date_range": {"$ref": "#/components/schemas/DateRange"}, "default_timezone": {"type": "string"}, "match_shifts_by": {"type": "string"}}}, "ShiftWorkdayMatcher": {"type": "string", "title": "ShiftWorkdayMatcher", "description": "Defines the logic used to apply a workday filter.", "enum": ["START_AT", "END_AT", "INTERSECTION"], "x-enum-elements": [{"name": "START_AT", "description": "All shifts that start on or after the specified workday"}, {"name": "END_AT", "description": "All shifts that end on or before the specified workday"}, {"name": "INTERSECTION", "description": "All shifts that start between the start and end workdays (inclusive)"}], "x-release-status": "PUBLIC"}, "Site": {"type": "object", "title": "Site", "description": "Represents a Square Online site, which is an online store for a Square seller.", "x-release-status": "PUBLIC", "properties": {"created_at": {"type": "string", "x-read-only": true}, "domain": {"type": "string"}, "id": {"type": "string", "maxLength": 32, "x-read-only": true}, "is_published": {"type": "boolean"}, "site_title": {"type": "string"}, "updated_at": {"type": "string", "x-read-only": true}}}, "Snippet": {"type": "object", "title": "Snippet", "description": "Represents the snippet that is added to a Square Online site. The snippet code is injected into the `head` element of all pages on the site, except for checkout pages.", "x-release-status": "PUBLIC", "properties": {"content": {"type": "string", "maxLength": 65535, "minLength": 1}, "created_at": {"type": "string", "x-read-only": true}, "id": {"type": "string", "maxLength": 48, "x-read-only": true}, "site_id": {"type": "string", "x-read-only": true}, "updated_at": {"type": "string", "x-read-only": true}}, "required": ["content"]}, "SnippetResponse": {"type": "object", "title": "SnippetResponse", "description": "", "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "snippet": {"$ref": "#/components/schemas/Snippet"}}}, "SortOrder": {"type": "string", "title": "SortOrder", "description": "The order (e.g., chronological or alphabetical) in which results from a request are returned.", "enum": ["DESC", "ASC"], "x-enum-elements": [{"name": "DESC", "description": "The results are returned in descending (e.g., newest-first or Z-A) order."}, {"name": "ASC", "description": "The results are returned in ascending (e.g., oldest-first or A-Z) order."}], "x-release-status": "PUBLIC"}, "SourceApplication": {"type": "object", "title": "SourceApplication", "description": "Provides information about the application used to generate a change.", "x-release-status": "PUBLIC", "properties": {"application_id": {"type": "string"}, "name": {"type": "string"}, "product": {"type": "string"}}}, "StandardUnitDescription": {"type": "object", "title": "StandardUnitDescription", "description": "Contains the name and abbreviation for standard measurement unit.", "x-release-status": "PUBLIC", "properties": {"abbreviation": {"type": "string"}, "name": {"type": "string"}, "unit": {"$ref": "#/components/schemas/MeasurementUnit"}}}, "StandardUnitDescriptionGroup": {"type": "object", "title": "StandardUnitDescriptionGroup", "description": "Group of standard measurement units.", "x-release-status": "PUBLIC", "properties": {"language_code": {"type": "string"}, "standard_unit_descriptions": {"type": "array", "items": {"$ref": "#/components/schemas/StandardUnitDescription"}}}}, "Status": {"type": "object", "title": "Status"}, "SubmitEvidenceRequest": {"type": "object", "title": "SubmitEvidenceRequest", "description": "Defines the parameters for a `SubmitEvidence` request.", "example": {"request_body": {}}, "x-release-status": "PUBLIC"}, "SubmitEvidenceResponse": {"type": "object", "title": "SubmitEvidenceResponse", "description": "Defines the fields in a `SubmitEvidence` response.", "example": {"dispute": {"id": "EAZoK70gX3fyvibecLwIGB", "state": "PROCESSING", "due_at": "2018-11-01T00:00:00.000Z", "reason": "NO_KNOWLEDGE", "card_brand": "VISA", "created_at": "2018-10-18T16:02:15.313Z", "updated_at": "2018-10-18T16:02:15.313Z", "amount_money": {"amount": 2000, "currency": "USD"}, "brand_dispute_id": "100000399240", "disputed_payments": [{"payment_id": "2yeBUWJzllJTpmnSqtMRAL19taB"}]}}, "x-release-status": "PUBLIC", "properties": {"dispute": {"$ref": "#/components/schemas/Dispute"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "Subscription": {"type": "object", "title": "Subscription", "description": "Represents a customer subscription to a subscription plan.\nFor an overview of the `Subscription` type, see\n[Subscription object](https://developer.squareup.com/docs/subscriptions-api/overview#subscription-object-overview).", "x-release-status": "PUBLIC", "properties": {"canceled_date": {"type": "string"}, "card_id": {"type": "string"}, "charged_through_date": {"type": "string", "x-read-only": true}, "created_at": {"type": "string", "x-read-only": true}, "customer_id": {"type": "string", "x-read-only": true}, "id": {"type": "string", "maxLength": 255, "x-read-only": true}, "invoice_ids": {"type": "array", "items": {"type": "string"}, "x-read-only": true}, "location_id": {"type": "string", "x-read-only": true}, "plan_id": {"type": "string", "x-read-only": true}, "price_override_money": {"$ref": "#/components/schemas/Money"}, "start_date": {"type": "string", "x-read-only": true}, "status": {"type": "string", "x-read-only": true}, "tax_percentage": {"type": "string"}, "timezone": {"type": "string", "x-read-only": true}, "version": {"type": "integer", "format": "int64"}}}, "SubscriptionCadence": {"type": "string", "title": "SubscriptionCadence", "description": "Determines the billing cadence of a [Subscription](https://developer.squareup.com/reference/square_2021-08-18/objects/Subscription)", "enum": ["DAILY", "WEEKLY", "EVERY_TWO_WEEKS", "THIRTY_DAYS", "SIXTY_DAYS", "NINETY_DAYS", "MONTHLY", "EVERY_TWO_MONTHS", "QUARTERLY", "EVERY_FOUR_MONTHS", "EVERY_SIX_MONTHS", "ANNUAL", "EVERY_TWO_YEARS"], "x-enum-elements": [{"name": "DAILY", "description": "Once per day"}, {"name": "WEEKLY", "description": "Once per week"}, {"name": "EVERY_TWO_WEEKS", "description": "Every two weeks"}, {"name": "THIRTY_DAYS", "description": "Once every 30 days"}, {"name": "SIXTY_DAYS", "description": "Once every 60 days"}, {"name": "NINETY_DAYS", "description": "Once every 90 days"}, {"name": "MONTHLY", "description": "Once per month"}, {"name": "EVERY_TWO_MONTHS", "description": "Once every two months"}, {"name": "QUARTERLY", "description": "Once every three months"}, {"name": "EVERY_FOUR_MONTHS", "description": "Once every four months"}, {"name": "EVERY_SIX_MONTHS", "description": "Once every six months"}, {"name": "ANNUAL", "description": "Once per year"}, {"name": "EVERY_TWO_YEARS", "description": "Once every two years"}], "x-release-status": "PUBLIC"}, "SubscriptionEvent": {"type": "object", "title": "SubscriptionEvent", "description": "Describes changes to subscription and billing states.", "x-release-status": "PUBLIC", "properties": {"effective_date": {"type": "string"}, "id": {"type": "string"}, "info": {"$ref": "#/components/schemas/Info"}, "plan_id": {"type": "string"}, "subscription_event_type": {"type": "string"}}, "required": ["effective_date", "id", "plan_id", "subscription_event_type"]}, "SubscriptionEventInfo": {"type": "object", "title": "SubscriptionEventInfo", "description": "Provides information about the subscription event.", "x-release-status": "PUBLIC", "properties": {"code": {"$ref": "#/components/schemas/InfoCode"}, "detail": {"type": "string"}}}, "SubscriptionEventInfoCode": {"type": "string", "title": "SubscriptionEventInfoCode", "description": "The possible subscription event info codes.", "enum": ["LOCATION_NOT_ACTIVE", "LOCATION_CANNOT_ACCEPT_PAYMENT", "CUSTOMER_DELETED", "CUSTOMER_NO_EMAIL", "CUSTOMER_NO_NAME"], "x-enum-elements": [{"name": "LOCATION_NOT_ACTIVE", "description": "The location is not active."}, {"name": "LOCATION_CANNOT_ACCEPT_PAYMENT", "description": "The location cannot accept payments."}, {"name": "CUSTOMER_DELETED", "description": "The customer has been deleted."}, {"name": "CUSTOMER_NO_EMAIL", "description": "The customer doesn't have an email."}, {"name": "CUSTOMER_NO_NAME", "description": "The customer doesn't have a name."}], "x-release-status": "PUBLIC"}, "SubscriptionEventSubscriptionEventType": {"type": "string", "title": "SubscriptionEventSubscriptionEventType", "description": "The possible subscription event types.", "enum": ["START_SUBSCRIPTION", "PLAN_CHANGE", "STOP_SUBSCRIPTION", "DEACTIVATE_SUBSCRIPTION", "RESUME_SUBSCRIPTION"], "x-enum-elements": [{"name": "START_SUBSCRIPTION", "description": "The subscription started."}, {"name": "PLAN_CHANGE", "description": "The subscription plan changed."}, {"name": "STOP_SUBSCRIPTION", "description": "The subscription stopped."}, {"name": "DEACTIVATE_SUBSCRIPTION", "description": "The subscription deactivated"}, {"name": "RESUME_SUBSCRIPTION", "description": "The subscription resumed."}], "x-release-status": "PUBLIC"}, "SubscriptionPhase": {"type": "object", "title": "SubscriptionPhase", "description": "Describes a phase in a subscription plan. For more information, see\n[Set Up and Manage a Subscription Plan](https://developer.squareup.com/docs/subscriptions-api/setup-plan).", "x-release-status": "PUBLIC", "properties": {"cadence": {"type": "string"}, "ordinal": {"type": "integer", "format": "int64"}, "periods": {"type": "integer"}, "recurring_price_money": {"$ref": "#/components/schemas/Money"}, "uid": {"type": "string"}}, "required": ["cadence", "recurring_price_money"]}, "SubscriptionStatus": {"type": "string", "title": "SubscriptionStatus", "description": "Possible subscription status values.", "enum": ["PENDING", "ACTIVE", "CANCELED", "DEACTIVATED"], "x-enum-elements": [{"name": "PENDING", "description": "The subscription starts in the future."}, {"name": "ACTIVE", "description": "The subscription is active."}, {"name": "CANCELED", "description": "The subscription is canceled."}, {"name": "DEACTIVATED", "description": "The subscription is deactivated."}], "x-release-status": "PUBLIC"}, "TaxCalculationPhase": {"type": "string", "title": "TaxCalculationPhase", "description": "When to calculate the taxes due on a cart.", "enum": ["TAX_SUBTOTAL_PHASE", "TAX_TOTAL_PHASE"], "x-enum-elements": [{"name": "TAX_SUBTOTAL_PHASE", "description": "The fee is calculated based on the payment's subtotal."}, {"name": "TAX_TOTAL_PHASE", "description": "The fee is calculated based on the payment's total."}], "x-release-status": "PUBLIC"}, "TaxIds": {"type": "object", "title": "TaxIds", "description": "The tax IDs that a Location is operating under.", "x-is-beta": true, "x-release-status": "BETA", "properties": {"eu_vat": {"type": "string"}, "fr_naf": {"type": "string"}, "fr_siret": {"type": "string"}}}, "TaxInclusionType": {"type": "string", "title": "TaxInclusionType", "description": "Whether to the tax amount should be additional to or included in the CatalogItem price.", "enum": ["ADDITIVE", "INCLUSIVE"], "x-enum-elements": [{"name": "ADDITIVE", "description": "The tax is an additive tax. The tax amount is added on top of the\nCatalogItemVariation price. For example, a $1.00 item with a 10% additive\ntax would have a total cost to the buyer of $1.10."}, {"name": "INCLUSIVE", "description": "The tax is an inclusive tax. The tax amount is included in the\nCatalogItemVariation price. For example, a $1.00 item with a 10% inclusive\ntax would have a total cost to the buyer of $1.00, with $0.91 (91 cents) of\nthat total being the cost of the item and $0.09 (9 cents) being tax."}], "x-release-status": "PUBLIC"}, "TeamMember": {"type": "object", "title": "TeamMember", "description": "A record representing an individual team member for a business.", "x-release-status": "PUBLIC", "properties": {"assigned_locations": {"$ref": "#/components/schemas/TeamMemberAssignedLocations"}, "created_at": {"type": "string", "x-read-only": true}, "email_address": {"type": "string"}, "family_name": {"type": "string"}, "given_name": {"type": "string"}, "id": {"type": "string", "x-read-only": true}, "is_owner": {"type": "boolean", "x-read-only": true}, "phone_number": {"type": "string"}, "reference_id": {"type": "string"}, "status": {"type": "string"}, "updated_at": {"type": "string", "x-read-only": true}}}, "TeamMemberAssignedLocations": {"type": "object", "title": "TeamMemberAssignedLocations", "description": "An object that represents a team member's assignment to locations.", "x-release-status": "PUBLIC", "properties": {"assignment_type": {"type": "string"}, "location_ids": {"type": "array", "items": {"type": "string"}}}}, "TeamMemberAssignedLocationsAssignmentType": {"type": "string", "title": "TeamMemberAssignedLocationsAssignmentType", "description": "Enumerates the possible assignment types that the team member can have.", "enum": ["ALL_CURRENT_AND_FUTURE_LOCATIONS", "EXPLICIT_LOCATIONS"], "x-enum-elements": [{"name": "ALL_CURRENT_AND_FUTURE_LOCATIONS", "description": "The team member is assigned to all current and future locations. The `location_ids` field\nis empty if the team member has this assignment type."}, {"name": "EXPLICIT_LOCATIONS", "description": "The team member is assigned to an explicit subset of locations. The `location_ids` field\nis the list of locations that the team member is assigned to."}], "x-release-status": "PUBLIC"}, "TeamMemberBookingProfile": {"type": "object", "title": "TeamMemberBookingProfile", "description": "The booking profile of a seller's team member, including the team member's ID, display name, description and whether the team member can be booked as a service provider.", "x-is-beta": true, "x-release-status": "BETA", "properties": {"description": {"type": "string"}, "display_name": {"type": "string"}, "is_bookable": {"type": "boolean"}, "profile_image_url": {"type": "string"}, "team_member_id": {"type": "string"}}}, "TeamMemberInvitationStatus": {"type": "string", "title": "TeamMemberInvitationStatus", "description": "Enumerates the possible invitation statuses the team member can have within a business.", "enum": ["UNINVITED", "PENDING", "ACCEPTED"], "x-enum-elements": [{"name": "UNINVITED", "description": "The team member has not received an invitation."}, {"name": "PENDING", "description": "The team member has received an invitation, but had not accepted it."}, {"name": "ACCEPTED", "description": "The team member has both received and accepted an invitation."}], "x-release-status": "PUBLIC"}, "TeamMemberStatus": {"type": "string", "title": "TeamMemberStatus", "description": "Enumerates the possible statuses the team member can have within a business.", "enum": ["ACTIVE", "INACTIVE"], "x-enum-elements": [{"name": "ACTIVE", "description": "The team member can sign in to Point of Sale and the Seller Dashboard."}, {"name": "INACTIVE", "description": "The team member can no longer sign in to Point of Sale or the Seller Dashboard,\nbut the team member's sales reports remain available."}], "x-release-status": "PUBLIC"}, "TeamMemberWage": {"type": "object", "title": "TeamMemberWage", "description": "The hourly wage rate that a team member earns on a `Shift` for doing the job\nspecified by the `title` property of this object.", "x-release-status": "PUBLIC", "properties": {"hourly_rate": {"$ref": "#/components/schemas/Money"}, "id": {"type": "string"}, "team_member_id": {"type": "string"}, "title": {"type": "string"}}}, "Tender": {"type": "object", "title": "Tender", "description": "Represents a tender (i.e., a method of payment) used in a Square transaction.", "x-release-status": "PUBLIC", "properties": {"additional_recipients": {"type": "array", "items": {"$ref": "#/components/schemas/AdditionalRecipient"}, "x-is-deprecated": true, "x-release-status": "DEPRECATED"}, "amount_money": {"$ref": "#/components/schemas/Money"}, "card_details": {"$ref": "#/components/schemas/TenderCardDetails"}, "cash_details": {"$ref": "#/components/schemas/TenderCashDetails"}, "created_at": {"type": "string", "maxLength": 32, "x-read-only": true}, "customer_id": {"type": "string", "maxLength": 191}, "id": {"type": "string", "maxLength": 192}, "location_id": {"type": "string", "maxLength": 50}, "note": {"type": "string", "maxLength": 500}, "payment_id": {"type": "string", "maxLength": 192}, "processing_fee_money": {"$ref": "#/components/schemas/Money"}, "tip_money": {"$ref": "#/components/schemas/Money"}, "transaction_id": {"type": "string", "maxLength": 192}, "type": {"type": "string"}}, "required": ["type"]}, "TenderCardDetails": {"type": "object", "title": "TenderCardDetails", "description": "Represents additional details of a tender with `type` `CARD` or `SQUARE_GIFT_CARD`", "x-release-status": "PUBLIC", "properties": {"card": {"$ref": "#/components/schemas/Card"}, "entry_method": {"type": "string"}, "status": {"type": "string"}}}, "TenderCardDetailsEntryMethod": {"type": "string", "title": "TenderCardDetailsEntryMethod", "description": "Indicates the method used to enter the card's details.", "enum": ["SWIPED", "KEYED", "EMV", "ON_FILE", "CONTACTLESS"], "x-enum-elements": [{"name": "SWIPED", "description": "The card was swiped through a Square reader or Square stand."}, {"name": "KEYED", "description": "The card information was keyed manually into Square Point of Sale or a\nSquare-hosted web form."}, {"name": "EMV", "description": "The card was processed via EMV with a Square reader."}, {"name": "ON_FILE", "description": "The buyer's card details were already on file with Square."}, {"name": "CONTACTLESS", "description": "The card was processed via a contactless (i.e., NFC) transaction\nwith a Square reader."}], "x-release-status": "PUBLIC"}, "TenderCardDetailsStatus": {"type": "string", "title": "TenderCardDetailsStatus", "description": "Indicates the card transaction's current status.", "enum": ["AUTHORIZED", "CAPTURED", "VOIDED", "FAILED"], "x-enum-elements": [{"name": "AUTHORIZED", "description": "The card transaction has been authorized but not yet captured."}, {"name": "CAPTURED", "description": "The card transaction was authorized and subsequently captured (i.e., completed)."}, {"name": "VOIDED", "description": "The card transaction was authorized and subsequently voided (i.e., canceled)."}, {"name": "FAILED", "description": "The card transaction failed."}], "x-release-status": "PUBLIC"}, "TenderCashDetails": {"type": "object", "title": "TenderCashDetails", "description": "Represents the details of a tender with `type` `CASH`.", "x-release-status": "PUBLIC", "properties": {"buyer_tendered_money": {"$ref": "#/components/schemas/Money"}, "change_back_money": {"$ref": "#/components/schemas/Money"}}}, "TenderType": {"type": "string", "title": "TenderType", "description": "Indicates a tender's type.", "enum": ["CARD", "CASH", "THIRD_PARTY_CARD", "SQUARE_GIFT_CARD", "NO_SALE", "WALLET", "OTHER"], "x-enum-elements": [{"name": "CARD", "description": "A credit card."}, {"name": "CASH", "description": "Cash."}, {"name": "THIRD_PARTY_CARD", "description": "A credit card processed with a card processor other than Square.\n\nThis value applies only to merchants in countries where Square does not\nyet provide card processing."}, {"name": "SQUARE_GIFT_CARD", "description": "A Square gift card."}, {"name": "NO_SALE", "description": "This tender represents the register being opened for a \"no sale\" event."}, {"name": "WALLET", "description": "A payment from a digital wallet, e.g. Cash App.\n\nNote: Some \"digital wallets\", including Google Pay and Apple Pay, facilitate\ncard payments. Those payments have the `CARD` type."}, {"name": "OTHER", "description": "A form of tender that does not match any other value."}], "x-release-status": "PUBLIC"}, "TerminalCheckout": {"type": "object", "title": "TerminalCheckout", "description": "", "x-release-status": "PUBLIC", "properties": {"amount_money": {"$ref": "#/components/schemas/Money"}, "app_id": {"type": "string", "x-read-only": true}, "cancel_reason": {"type": "string", "x-read-only": true}, "created_at": {"type": "string", "x-read-only": true}, "deadline_duration": {"type": "string"}, "device_options": {"$ref": "#/components/schemas/DeviceCheckoutOptions"}, "id": {"type": "string", "maxLength": 255, "minLength": 10, "x-read-only": true}, "location_id": {"type": "string", "x-read-only": true}, "note": {"type": "string", "maxLength": 250}, "payment_ids": {"type": "array", "items": {"type": "string"}, "x-read-only": true}, "payment_type": {"type": "string"}, "reference_id": {"type": "string", "maxLength": 40}, "status": {"type": "string", "x-read-only": true}, "updated_at": {"type": "string", "x-read-only": true}}, "required": ["amount_money", "device_options"]}, "TerminalCheckoutQuery": {"type": "object", "title": "TerminalCheckoutQuery", "description": "", "x-release-status": "PUBLIC", "properties": {"filter": {"$ref": "#/components/schemas/TerminalCheckoutQueryFilter"}, "sort": {"$ref": "#/components/schemas/TerminalCheckoutQuerySort"}}}, "TerminalCheckoutQueryFilter": {"type": "object", "title": "TerminalCheckoutQueryFilter", "description": "", "x-release-status": "PUBLIC", "properties": {"created_at": {"$ref": "#/components/schemas/TimeRange"}, "device_id": {"type": "string"}, "status": {"type": "string"}}}, "TerminalCheckoutQuerySort": {"type": "object", "title": "TerminalCheckoutQuerySort", "description": "", "x-release-status": "PUBLIC", "properties": {"sort_order": {"type": "string"}}}, "TerminalRefund": {"type": "object", "title": "TerminalRefund", "description": "", "x-release-status": "PUBLIC", "properties": {"amount_money": {"$ref": "#/components/schemas/Money"}, "app_id": {"type": "string", "x-read-only": true}, "cancel_reason": {"type": "string", "x-read-only": true}, "created_at": {"type": "string", "x-read-only": true}, "deadline_duration": {"type": "string"}, "device_id": {"type": "string"}, "id": {"type": "string", "maxLength": 255, "minLength": 10, "x-read-only": true}, "location_id": {"type": "string", "x-read-only": true}, "order_id": {"type": "string", "x-read-only": true}, "payment_id": {"type": "string", "minLength": 1}, "reason": {"type": "string", "maxLength": 192}, "refund_id": {"type": "string", "x-read-only": true}, "status": {"type": "string", "x-read-only": true}, "updated_at": {"type": "string", "x-read-only": true}}, "required": ["amount_money", "payment_id"]}, "TerminalRefundQuery": {"type": "object", "title": "TerminalRefundQuery", "description": "", "x-release-status": "PUBLIC", "properties": {"filter": {"$ref": "#/components/schemas/TerminalRefundQueryFilter"}, "sort": {"$ref": "#/components/schemas/TerminalRefundQuerySort"}}}, "TerminalRefundQueryFilter": {"type": "object", "title": "TerminalRefundQueryFilter", "description": "", "x-release-status": "PUBLIC", "properties": {"created_at": {"$ref": "#/components/schemas/TimeRange"}, "device_id": {"type": "string"}, "status": {"type": "string"}}}, "TerminalRefundQuerySort": {"type": "object", "title": "TerminalRefundQuerySort", "description": "", "x-release-status": "PUBLIC", "properties": {"sort_order": {"type": "string"}}}, "TimeRange": {"type": "object", "title": "TimeRange", "description": "Represents a generic time range. The start and end values are\nrepresented in RFC 3339 format. Time ranges are customized to be\ninclusive or exclusive based on the needs of a particular endpoint.\nRefer to the relevant endpoint-specific documentation to determine\nhow time ranges are handled.", "x-release-status": "PUBLIC", "properties": {"end_at": {"type": "string"}, "start_at": {"type": "string"}}}, "TipSettings": {"type": "object", "title": "TipSettings", "description": "", "x-release-status": "PUBLIC", "properties": {"allow_tipping": {"type": "boolean"}, "custom_tip_field": {"type": "boolean"}, "separate_tip_screen": {"type": "boolean"}, "smart_tipping": {"type": "boolean"}, "tip_percentages": {"type": "array", "items": {"type": "integer"}}}}, "Transaction": {"type": "object", "title": "Transaction", "description": "Represents a transaction processed with Square, either with the\nConnect API or with Square Point of Sale.\n\nThe `tenders` field of this object lists all methods of payment used to pay in\nthe transaction.", "x-is-deprecated": true, "x-release-status": "DEPRECATED", "properties": {"client_id": {"type": "string", "maxLength": 192}, "created_at": {"type": "string", "maxLength": 32}, "id": {"type": "string", "maxLength": 192}, "location_id": {"type": "string", "maxLength": 50}, "order_id": {"type": "string", "maxLength": 192}, "product": {"type": "string"}, "reference_id": {"type": "string", "maxLength": 40}, "refunds": {"type": "array", "items": {"$ref": "#/components/schemas/Refund"}}, "shipping_address": {"$ref": "#/components/schemas/Address"}, "tenders": {"type": "array", "items": {"$ref": "#/components/schemas/Tender"}}}}, "TransactionProduct": {"type": "string", "title": "TransactionProduct", "description": "Indicates the Square product used to process a transaction.", "enum": ["REGISTER", "EXTERNAL_API", "BILLING", "APPOINTMENTS", "INVOICES", "ONLINE_STORE", "PAYROLL", "OTHER"], "x-enum-elements": [{"name": "REGISTER", "description": "Square Point of Sale."}, {"name": "EXTERNAL_API", "description": "The Square Connect API."}, {"name": "BILLING", "description": "A Square subscription for one of multiple products."}, {"name": "APPOINTMENTS", "description": "Square Appointments."}, {"name": "INVOICES", "description": "Square Invoices."}, {"name": "ONLINE_STORE", "description": "Square Online Store."}, {"name": "PAYROLL", "description": "Square Payroll."}, {"name": "OTHER", "description": "A Square product that does not match any other value."}], "x-is-deprecated": true, "x-release-status": "DEPRECATED"}, "TransactionType": {"type": "string", "title": "TransactionType", "description": "The transaction type used in the disputed payment.", "enum": ["DEBIT", "CREDIT"], "x-enum-elements": [{"name": "DEBIT", "description": ""}, {"name": "CREDIT", "description": ""}], "x-release-status": "PUBLIC"}, "Type": {"type": "object", "title": "Type"}, "UnlinkCustomerFromGiftCardRequest": {"type": "object", "title": "UnlinkCustomerFromGiftCardRequest", "description": "A request to unlink a customer to a gift card", "example": {"request_body": {"customer_id": "GKY0FZ3V717AH8Q2D821PNT2ZW"}, "request_params": "?gift_card_id=gftc:71ea002277a34f8a945e284b04822edb"}, "x-is-beta": true, "x-release-status": "BETA", "properties": {"customer_id": {"type": "string", "maxLength": 191, "minLength": 1}}, "required": ["customer_id"]}, "UnlinkCustomerFromGiftCardResponse": {"type": "object", "title": "UnlinkCustomerFromGiftCardResponse", "description": "A response that contains one `GiftCard` that was unlinked. The response might contain a set of `Error`\nobjects if the request resulted in errors.", "example": {"gift_card": {"id": "gftc:71ea002277a34f8a945e284b04822edb", "gan": "7783320005440920", "type": "DIGITAL", "state": "ACTIVE", "created_at": "2021-03-25T05:13:01Z", "gan_source": "SQUARE", "balance_money": {"amount": 2500, "currency": "USD"}}}, "x-is-beta": true, "x-release-status": "BETA", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "gift_card": {"$ref": "#/components/schemas/GiftCard"}}}, "UpdateBookingRequest": {"type": "object", "title": "UpdateBookingRequest", "example": {"booking": {"version": 1, "customer_note": "I would like to sit near the window please"}}, "x-is-beta": true, "description": "", "x-release-status": "BETA", "properties": {"booking": {"$ref": "#/components/schemas/Booking"}, "idempotency_key": {"type": "string", "maxLength": 255}}, "required": ["booking"]}, "UpdateBookingResponse": {"type": "object", "title": "UpdateBookingResponse", "example": {"errors": [], "booking": {"id": "zkras0xv0xwswx", "status": "ACCEPTED", "version": 2, "start_at": "2020-11-26T13:00:00Z", "created_at": "2020-10-28T15:47:41Z", "updated_at": "2020-10-28T15:49:25Z", "customer_id": "EX2QSVGTZN4K1E5QE1CBFNVQ8M", "location_id": "LEQHH0YY8B42M", "seller_note": "", "customer_note": "I would like to sit near the window please", "appointment_segments": [{"team_member_id": "TMXUrsBWWcHTt79t", "duration_minutes": 60, "service_variation_id": "RU3PBTZTK7DXZDQFCJHOK2MC", "service_variation_version": 1599775456731}]}}, "x-is-beta": true, "description": "", "x-release-status": "BETA", "properties": {"booking": {"$ref": "#/components/schemas/Booking"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "UpdateBreakTypeRequest": {"type": "object", "title": "UpdateBreakTypeRequest", "description": "A request to update a `BreakType`.", "example": {"request_body": {"break_type": {"is_paid": true, "version": 1, "break_name": "Lunch", "location_id": "26M7H24AZ9N6R", "expected_duration": "PT50M"}}}, "x-release-status": "PUBLIC", "properties": {"break_type": {"$ref": "#/components/schemas/BreakType"}}, "required": ["break_type"]}, "UpdateBreakTypeResponse": {"type": "object", "title": "UpdateBreakTypeResponse", "description": "A response to a request to update a `BreakType`. The response contains\nthe requested `BreakType` objects and might contain a set of `Error` objects if\nthe request resulted in errors.", "example": {"break_type": {"id": "Q6JSJS6D4DBCH", "is_paid": true, "version": 2, "break_name": "Lunch", "created_at": "2018-06-12T20:19:12Z", "updated_at": "2019-02-26T23:12:59Z", "location_id": "26M7H24AZ9N6R", "expected_duration": "PT50M"}}, "x-release-status": "PUBLIC", "properties": {"break_type": {"$ref": "#/components/schemas/BreakType"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "UpdateCustomerGroupRequest": {"type": "object", "title": "UpdateCustomerGroupRequest", "description": "Defines the body parameters that can be included in a request to the\n[UpdateCustomerGroup](https://developer.squareup.com/reference/square_2021-08-18/customer-groups-api/update-customer-group) endpoint.", "example": {"request_body": {"group": {"name": "Loyal Customers"}}}, "x-release-status": "PUBLIC", "properties": {"group": {"$ref": "#/components/schemas/CustomerGroup"}}, "required": ["group"]}, "UpdateCustomerGroupResponse": {"type": "object", "title": "UpdateCustomerGroupResponse", "description": "Defines the fields that are included in the response body of\na request to the [UpdateCustomerGroup](https://developer.squareup.com/reference/square_2021-08-18/customer-groups-api/update-customer-group) endpoint.\n\nEither `errors` or `group` is present in a given response (never both).", "example": {"group": {"id": "2TAT3CMH4Q0A9M87XJZED0WMR3", "name": "Loyal Customers", "created_at": "2020-04-13T21:54:57.863Z", "updated_at": "2020-04-13T21:54:58Z"}}, "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "group": {"$ref": "#/components/schemas/CustomerGroup"}}}, "UpdateCustomerRequest": {"type": "object", "title": "UpdateCustomerRequest", "description": "Defines the body parameters that can be included in a request to the\n`UpdateCustomer` endpoint.", "example": {"request_body": {"note": "updated customer note", "version": 2, "phone_number": "", "email_address": "New.Amelia.Earhart@example.com"}}, "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/UpdateCustomer/UpdateCustomerRequest.php", "java": "/sdk_samples/UpdateCustomer/UpdateCustomerRequest.java", "ruby": "/sdk_samples/UpdateCustomer/UpdateCustomerRequest.ruby", "csharp": "/sdk_samples/UpdateCustomer/UpdateCustomerRequest.csharp", "python": "/sdk_samples/UpdateCustomer/UpdateCustomerRequest.python", "javascript": "/sdk_samples/UpdateCustomer/UpdateCustomerRequest.javascript"}, "properties": {"address": {"$ref": "#/components/schemas/Address"}, "birthday": {"type": "string"}, "company_name": {"type": "string"}, "email_address": {"type": "string"}, "family_name": {"type": "string"}, "given_name": {"type": "string"}, "nickname": {"type": "string"}, "note": {"type": "string"}, "phone_number": {"type": "string"}, "reference_id": {"type": "string"}, "version": {"type": "integer", "format": "int64"}}}, "UpdateCustomerResponse": {"type": "object", "title": "UpdateCustomerResponse", "description": "Defines the fields that are included in the response body of\na request to the `UpdateCustomer` endpoint.\n\nEither `errors` or `customer` is present in a given response (never both).", "example": {"customer": {"id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "note": "updated customer note", "address": {"country": "US", "locality": "New York", "postal_code": "10003", "address_line_1": "500 Electric Ave", "address_line_2": "Suite 600", "administrative_district_level_1": "NY"}, "version": 3, "created_at": "2016-03-23T20:21:54.859Z", "given_name": "Amelia", "updated_at": "2016-05-15T20:21:55Z", "family_name": "Earhart", "preferences": {"email_unsubscribed": false}, "reference_id": "YOUR_REFERENCE_ID", "email_address": "New.Amelia.Earhart@example.com", "creation_source": "THIRD_PARTY"}}, "x-release-status": "PUBLIC", "x-sq-sdk-sample-code": {"php": "/sdk_samples/UpdateCustomer/UpdateCustomerResponse.php", "java": "/sdk_samples/UpdateCustomer/UpdateCustomerResponse.java", "ruby": "/sdk_samples/UpdateCustomer/UpdateCustomerResponse.ruby", "csharp": "/sdk_samples/UpdateCustomer/UpdateCustomerResponse.csharp", "python": "/sdk_samples/UpdateCustomer/UpdateCustomerResponse.python", "javascript": "/sdk_samples/UpdateCustomer/UpdateCustomerResponse.javascript"}, "properties": {"customer": {"$ref": "#/components/schemas/Customer"}, "errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}}}, "UpdateInvoiceRequest": {"type": "object", "title": "UpdateInvoiceRequest", "description": "Describes a `UpdateInvoice` request.", "example": {"request_body": {"invoice": {"payment_requests": [{"uid": "2da7964f-f3d2-4f43-81e8-5aa220bf3355", "tipping_enabled": false}]}, "fields_to_clear": ["payments_requests[2da7964f-f3d2-4f43-81e8-5aa220bf3355].reminders"], "idempotency_key": "4ee82288-0910-499e-ab4c-5d0071dad1be"}}, "x-release-status": "PUBLIC", "properties": {"fields_to_clear": {"type": "array", "items": {"type": "string"}}, "idempotency_key": {"type": "string", "maxLength": 128}, "invoice": {"$ref": "#/components/schemas/Invoice"}}, "required": ["invoice"]}, "UpdateInvoiceResponse": {"type": "object", "title": "UpdateInvoiceResponse", "description": "Describes a `UpdateInvoice` response.", "example": {"invoice": {"id": "inv:0-ChCHu2mZEabLeeHahQnXDjZQECY", "title": "Event Planning Services", "status": "UNPAID", "version": 2, "order_id": "CAISENgvlJ6jLWAzERDzjyHVybY", "timezone": "America/Los_Angeles", "created_at": "2020-06-18T17:45:13Z", "updated_at": "2020-06-18T18:23:11Z", "description": "We appreciate your business!", "location_id": "ES0RJRZYEC39A", "scheduled_at": "2030-01-13T10:00:00Z", "custom_fields": [{"label": "Event Reference Number", "value": "Ref. #1234", "placement": "ABOVE_LINE_ITEMS"}, {"label": "Terms of Service", "value": "The terms of service are...", "placement": "BELOW_LINE_ITEMS"}], "invoice_number": "inv-100", "delivery_method": "EMAIL", "payment_requests": [{"uid": "2da7964f-f3d2-4f43-81e8-5aa220bf3355", "due_date": "2030-01-24", "request_type": "BALANCE", "tipping_enabled": false, "computed_amount_money": {"amount": 10000, "currency": "USD"}, "automatic_payment_source": "NONE", "total_completed_amount_money": {"amount": 0, "currency": "USD"}}], "primary_recipient": {"given_name": "Amelia", "customer_id": "JDKYHBWT1D4F8MFH63DBMEN8Y4", "family_name": "Earhart", "phone_number": "1-212-555-4240", "email_address": "Amelia.Earhart@example.com"}, "accepted_payment_methods": {"card": true, "bank_account": false, "square_gift_card": false}, "next_payment_amount_money": {"amount": 10000, "currency": "USD"}}}, "x-release-status": "PUBLIC", "properties": {"errors": {"type": "array", "items": {"$ref": "#/components/schemas/Error"}}, "invoice": {"$ref": "#/components/schemas/Invoice"}}}, "UpdateItemModifierListsRequest": {"type": "object", "title": "UpdateItemModifierListsRequest", "example": {"request_body": {"item_ids": ["H42BRLUJ5KTZTTMPVSLFAACQ", "2JXOBJIHCWBQ4NZ3RIXQGJA6"], "modifier_lists_to_enable": ["H42BRLUJ5KTZTTMPVSLFAACQ", "2JXOBJIHCW
[...]
